> For the complete documentation index, see [llms.txt](https://mediamarkup.gitbook.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://mediamarkup.gitbook.io/docs/api/redirecturl.md).

# RedirectUrl

The MediaMarkup annotation tool page can be driven by the API by a third party without third party users logging into the main user interface. Third party users in this case will need to be authenticated using the PersonalUrl authentication flow to create Urls to the annotation tool on the fly and redirect users. If the user's session ends, or is not authenticated, instead of redirecting to the MediaMarkup login page the user will be redirected to the configiured RedirectUrl.

The RedirectUrl is configured within the account details and is available to all account administrators.

Parameters will be added to the RedirectUrl indicating the current approval id, version and if available, the comparison approval and id.

### **Parameters**

#### **redir:**

NotAuthenticated - User is not authenticated

IdNotSpecified - approval id not specified

ApprovalNotFound - Approval not found

VersionNotFound - Approval Version not found

UserNotAuthorizedOnApproval - If user is not within an approval group\
\[Not checked for admin/manager/guest (observer) roles]

CompareApprovalNotFound - Comparison Approval not found (if specified)

CompareVersionNotFound - Comparison Approval Version not found (if specified)

UserNotAuthorizedOnCompare - If user is not within an approval group\
\[Not checked for admin/manager/guest (observer) roles]

The RedirectUrl specified can contains custom parameters, but should not conflict with the above parameters.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://mediamarkup.gitbook.io/docs/api/redirecturl.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
